<?php

namespace AutoAdmin\Bundle\Content\Breadcrumbs\Model;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

trait BreadcrumbsConfigTranslationTrait
{
    #[ORM\Column(type: Types::STRING, length: 255, nullable: true)]
    protected ?string $breadcrumbsLabel = null;

    public function setBreadcrumbsLabel(?string $label): self
    {
        $this->breadcrumbsLabel = $label;

        return $this;
    }

    public function getBreadcrumbsLabel(): ?string
    {
        return $this->breadcrumbsLabel;
    }

}
